# Cisco ASA

## Cisco ASA&#x20;

Cisco ASA using Command Line Interface&#x20;

1. Telnet to the ASA firewall and enter the enable mode&#x20;
2. Type the following:&#x20;

`configure terminal` \
&#x20;\
`logging enable` \
&#x20;\
`logging timestamp` \
&#x20;\
`logging trap informational` \
&#x20;\
`logging device-id {context-name | hostname | ipaddress interface_name | string text}` \
&#x20;\
`logging host interface_name syslog_ip [udp/<syslog_port>]`&#x20;

| interface\_name           | is the interface on the ASA Firewall whose logs need to be analyzed (for example: "inside" or "outside").                                                                                                                                                                                                           |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| syslog\_ip                | is the IP address of the Log Collector to which the Firewall should send the Syslogs.                                                                                                                                                                                                                               |
| udp/\<syslog\_port>       | indicates that logs will be sent using the UDP protocol, to the [configured syslog port](https://www.manageengine.com/products/firewall/help/firewall-analyzer-prerequisites.html#port) on the syslog server. If left blank, logs will be sent to the default UDP port 514. Check Appendix A for default port list. |
| hostname                  | firewall's host name (defined with the hostname configuration command)                                                                                                                                                                                                                                              |
| ipaddress interface\_name | the IP address of a specific firewall interface named interface\_name (for example: "inside" or "outside")                                                                                                                                                                                                          |
| string text               | an arbitrary text string (up to 16 characters)                                                                                                                                                                                                                                                                      |
| context-name              | in PIX 7.x or FWSM 2.x operating in multiple-context mode, the name of the firewall context can also be sent.                                                                                                                                                                                                       |

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blusapphire.io/log-forwarding/03_log-forwarding-guide/log-forward/cisco/cisco-asa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
